<?php
// Get form helper instance
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, 'shipsimu_training_form'));

// Prefetch user instance
$helperInstance->prefetchValueInstance('user');

// Add main form group
$helperInstance->addFormNote('reality_warning', "WARNUNG: Bitte dieses Formular nicht mit echten Angaben ausf&uuml;llen!");

// Add group for personal data
$helperInstance->addFormGroup('persona_data', "Deine pers&ouml;nliche Daten, die f&uuml;r die Kursusteilnahme n&ouml;tig sind:");

// Display email, surname and family name
$helperInstance->addFormNote('surname', "Vorname: <span class=\"persona_data\">".$helperInstance->getValueField('surname')."</span>");
$helperInstance->addFormNote('family', "Nachname: <span class=\"persona_data\">".$helperInstance->getValueField('family')."</span>");
$helperInstance->addFormNote('email', "Email-Adresse: <span class=\"persona_data\">".$helperInstance->getValueField('email')."</span>");

// Add link placeholder for profile page
$helperInstance->addFormNote('profile', "Stimmen die Daten noch? {?shipsimu_profile_link?}");

// Flush the finished form
$helperInstance->flushContent();

// Get link helper for profile link
$linkInstance = ObjectFactory::createObjectByConfiguredName('web_link_helper', array($this, 'shipsimu_profile_link', 'index.php?app={?app_short_name?}&amp;page=login_area'));

// Add action
$linkInstance->addActionLinkById('profile', 'goto_profile_link');

// Flush the finished form
$linkInstance->flushContent();

// [EOC]
?>
<div id="goverment_frame">
	<div id="goverment_header">
		Virtuelle Beantragung eines Training-Kursus
	</div>

	<div id="goverment_form">
		{?shipsimu_training_form?}
	</div>
</div>
